Bug 54857 - netcfg changes /etc/hosts causing lpd to crash at startup
Summary: netcfg changes /etc/hosts causing lpd to crash at startup
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-21 14:07 UTC by Lasse Riis
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:35:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lasse Riis 2001-10-21 14:07:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316

Description of problem:
My /etc/hosts usually looks like this:
127.0.0.1
localhost.localdomain
localhost
127.0.0.1
bfcserver.bfc
bfcserver

If i don't have a localhost entry, lpd will crash with something like
Get_local_host, unable to determine hos....

Having this entry helps this problem, but whenever i use netcfg it alters
my /etc/hosts to:
127.0.0.1
bfcserver.bfc
bfcserver
127.0.0.1
bfcserver.bfc
bfcserver

And when lpd is (re)started it crashes!

Howcome?, i don't change anything regarding hostnames, only ip's and so!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run netcfg
2. change (fore example) an ip-address
3. press "save"
4. restart lpd
	

Actual Results:  My /etc/hosts file is altered from:
127.0.0.1
localhost.localdomain
localhost
127.0.0.1
bfcserver.bfc
bfcserver
to:
127.0.0.1
bfcserver.bfc
bfcserver
127.0.0.1
bfcserver.bfc
bfcserver

Expected Results:  It should have left my /etc/hosts file alone, as i
didn't change my hostname.....

Additional info:

This entry is added under 7.1, but i guess it's a problem with netcfg.....

Comment 1 Bill Nottingham 2006-08-07 17:30:49 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 14:35:05 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.